# Check if afs is running.  If so turn off xntpd as afs does its own time sync
/sbin/chkconfig --list afs | grep on
if [ $? -eq 0 ] ; then
	/sbin/chkconfig --level 345 xntpd off
	echo "Turned off xntpd because afs is running" >>/etc/$WORKGROUP/after.rpms.log
fi
# Added to enable nfs
/sbin/chkconfig --level 345 nfs on
/sbin/chkconfig --level 345 autofs on
/sbin/chkconfig --level 345 nfslock on
/sbin/chkconfig --level 345 telnet on
/sbin/chkconfig --level 345 ftp on
/sbin/chkconfig --level 345 kshell on
/sbin/chkconfig --level 345 rstatd on

# Edit the config.ps for the latex
#   so that it uses standard 8.5 x 11 size as the default
#cd /usr/share/texmf/dvips/config/

#csplit -f dvips config.ps /"@ A4size 210mm 297mm"/
#csplit -f dvipsagain dvips01 /"@ letterSize 8.5in 11in"/
#csplit -f dvipsyetagain dvipsagain01 2
#
#cat dvipsyetagain00 >> dvips00
#cat dvipsagain00 >> dvips00
#cat dvipsyetagain01 >> dvips00
#
#mv -f dvips00 config.ps
#rm -f dvipsyetagain00 dvipsyetagain01 dvipsagain00 dvipsagain01
#rm -f dvips01


#make KDE the default desktop
rm -rf /etc/sysconfig/desktop
touch /etc/sysconfig/desktop
echo 'DESKTOP = "KDE"' >> /etc/sysconfig/desktop
echo '"startkde"' > /root/.xsession

touch /root/.k5login
echo "host/theorynis.fnal.gov@FNAL.GOV" >> /root/.k5login
echo "jlkaiser@FNAL.GOV" >> /root/.k5login
echo "kschu@FNAL.GOV" >> /root/.k5login
echo "lisa@FNAL.GOV" >> /root/.k5login
echo "merina@FNAL.GOV" >> /root/.k5login
echo "mgreaney@FNAL.GOV" >> /root/.k5login
echo "shepelak@FNAL.GOV" >> /root/.k5login
echo "timm@FNAL.GOV" >> /root/.k5login
echo "stan@FNAL.GOV" >> /root/.k5login
echo "ormes@FNAL.GOV" >> /root/.k5login
echo "giele@FNAL.GOV" >> /root/.k5login
echo "joes@FNAL.GOV" >> /root/.k5login
echo "ettab@FNAL.GOV" >> /root/.k5login
echo "vanconant@FNAL.GOV" >> /root/.k5login

chmod 600 /root/.k5login

echo "ormes@fnal.gov,shepelak@fnal.gov" >> /root/.forward

echo "sshdfwd-X11: ALL" >> /etc/hosts.allow
echo "sshd: ALL" >> /etc/hosts.allow 
echo "telnetd: ALL" >> /etc/hosts.allow 
echo "ftpd: ALL" >> /etc/hosts.allow 
echo "terad: abyss.fnal.gov" >> /etc/hosts.allow

echo "Host *" >> /etc/ssh/ssh_config
echo "ForwardX11 yes" >> /etc/ssh/ssh_config

#cp /etc/Theory/configfiles/sendmail.cf /etc/sendmail.cf
#chown root /etc/sendmail.cf

mv /etc/cron.daily/yum.cron /etc/cron.daily/yum.cron.orig
cp /etc/Theory/configfiles/yum.cron /etc/cron.daily/
chown root /etc/cron.daily/yum.cron

mv /etc/log.d/conf/logwatch.conf /etc/log.d/conf/logwatch.conf.orig
cp /etc/Theory/configfiles/logwatch.conf /etc/log.d/conf/
chown root /etc/log.d/conf/logwatch.conf

cp /usr/share/texmf/pdftex/config/pdftex.cfg /usr/share/texmf/pdftex/config/pdftex.cfg.sav
cp /etc/Theory/configfiles/pdftex.cfg /usr/share/texmf/pdftex/config/pdftex.cfg 


cp /etc/Theory/configfiles/exports /etc/exports
chown root /etc/exports

. /usr/local/etc/setups.sh
setup ups
setup upd
upd install syscollect -G -c -z /local/ups/db
echo "15 2 * * 0   /opt/syscollect/bin/syscollect.sh > /dev/null" >> /var/spool/cron/root

echo "/usr/local/bin/tcsh" >> /etc/shells

mkdir -p /usr/local/mathematica
#echo "thpc02:/usr/local/mathematica /usr/local/mathematica nfs defaults 0 0" >> /etc/fstab
mkdir -p /usr/local/Wolfram
#echo "thpc45:/usr/local/Wolfram /usr/local/Wolfram nfs defaults 0 0" >> /etc/fstab

#echo "products:x:1342:4525:products account:/local/ups:/bin/sh" >> /etc/passwd
echo "bb:x:10001:1002:Big Brother (Jason):/bb:/bin/bash" >> /etc/passwd
pwconv

#Install Big Brother and extra rpms.
cp /etc/Theory/configfiles/bb /etc/init.d
cp /etc/Theory/configfiles/bigbrother.tar /
cp /etc/Theory/configfiles/extrarpms.tar /
cd /
tar xvf bigbrother.tar
tar xvf extrarpms.tar
chmod o+r /var/log/messages
/etc/init.d/bb config
/etc/init.d/bb start
cd extrarpms
./install_all
#clean up tar files
cd /
rm bigbrother.tar
rm extrarpms.tar

ln -s /usr/java/j2sdk*/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so /usr/lib/mozilla/plugins
